=== debian/control ===
Source: ros-iron-moveit-ros-planning
Section: misc
Priority: optional
Maintainer: Henning Kayser <henningkayser@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libfmt-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-gmock <!nocheck>, ros-iron-ament-cmake-gtest <!nocheck>, ros-iron-ament-index-cpp, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-eigen3-cmake-module, ros-iron-generate-parameter-library, ros-iron-message-filters, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-resources-panda-moveit-config <!nocheck>, ros-iron-moveit-ros-occupancy-map-monitor, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-ros-testing <!nocheck>, ros-iron-srdfdom, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-msgs, ros-iron-tf2-ros, ros-iron-urdf, ros-iron-ros-workspace
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-iron-moveit-ros-planning
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libfmt-dev, ros-iron-ament-index-cpp, ros-iron-eigen3-cmake-module, ros-iron-generate-parameter-library, ros-iron-message-filters, ros-iron-moveit-common, ros-iron-moveit-core, ros-iron-moveit-msgs, ros-iron-moveit-ros-occupancy-map-monitor, ros-iron-pluginlib (>= 1.11.2), ros-iron-rclcpp, ros-iron-rclcpp-action, ros-iron-srdfdom, ros-iron-tf2, ros-iron-tf2-eigen, ros-iron-tf2-geometry-msgs, ros-iron-tf2-msgs, ros-iron-tf2-ros, ros-iron-urdf, ros-iron-ros-workspace
Conflicts: ros-iron-moveit-ros-planning-interface (<< 2.1.5)
Replaces: ros-iron-moveit-ros-planning-interface (<< 2.1.5)
Description: Planning components of MoveIt that use ROS
